Jump to content
adrian

PHP 8 issue

Recommended Posts

I don't have time to dig into this further today, but wanted to let everyone know that with PHP8 I am having some fatal errors. It was kinda OK until I tried to turn on JIT (based on https://stitcher.io/blog/php-8-jit-setup), but after that, the admin wouldn't load - sometimes Tracy would manage to tell me that it was a CSRF exception.

I tried disabling JIT, but that wasn't enough. In the end, I had to disable opcache - in my case, that required commenting out the line: zend_extension=/usr/local/opt/php/lib/php/20200930/opcache.so in my /usr/local/etc/php/8.0/conf.d/ext-opcache.ini file. 

Note that this on my Mac with LAMP stack installed via homebrew.

The browser console was showing the following error: ERR_INCOMPLETE_CHUNKED_ENCODING which others have reported a connection to opcache: https://stackoverflow.com/questions/29894154/chrome-neterr-incomplete-chunked-encoding-error

Need to read and learn more, but would also appreciate it if someone else has any insights.

  • Like 1
  • Confused 1

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...